import { Count, Filter, FilterExcludingWhere, Where } from '@loopback/repository';
import { AreaMeasurementMaster } from '../models';
import { AreaMeasurementMasterRepository } from '../repositories';
export declare class AreameasurmentmasterController {
    areaMeasurementMasterRepository: AreaMeasurementMasterRepository;
    constructor(areaMeasurementMasterRepository: AreaMeasurementMasterRepository);
    create(areaMeasurementMaster: Omit<AreaMeasurementMaster, 'areaMeasurementId'>): Promise<AreaMeasurementMaster>;
    count(where?: Where<AreaMeasurementMaster>): Promise<Count>;
    find(filter?: Filter<AreaMeasurementMaster>): Promise<AreaMeasurementMaster[]>;
    updateAll(areaMeasurementMaster: AreaMeasurementMaster, where?: Where<AreaMeasurementMaster>): Promise<Count>;
    findById(id: number, filter?: FilterExcludingWhere<AreaMeasurementMaster>): Promise<AreaMeasurementMaster>;
    updateById(id: number, areaMeasurementMaster: AreaMeasurementMaster): Promise<void>;
    replaceById(id: number, areaMeasurementMaster: AreaMeasurementMaster): Promise<void>;
    deleteById(id: number): Promise<void>;
}
